Subject: Re: [PATCH 3/3] docs: update when `git bisect visualize` uses `gitk`

From: Junio C Hamano <[email-masked]>
Date: Thu, 03 Aug 2023 09:21:06 -0700

"Matthias Aßhauer via GitGitGadget"  <[email-masked]>
writes:

> From: =?UTF-8?q?Matthias=20A=C3=9Fhauer?= <[email-masked]>
>
> This check has involved more environment variables than just `DISPLAY` since
> 508e84a790 (bisect view: check for MinGW32 and MacOSX in addition to X11,
> 2008-02-14), so let's update the documentation accordingly.
>
> Signed-off-by: Matthias Aßhauer <[email-masked]>
> ---
>  Documentation/git-bisect.txt | 6 +++---
>  1 file changed, 3 insertions(+), 3 deletions(-)
>
> diff --git a/Documentation/git-bisect.txt b/Documentation/git-bisect.txt
> index fbb39fbdf5d..82b1d5ac6c5 100644
> --- a/Documentation/git-bisect.txt
> +++ b/Documentation/git-bisect.txt
> @@ -204,9 +204,9 @@ as an alternative to `visualize`):
>  $ git bisect visualize
>  ------------
>  
> -If the `DISPLAY` environment variable is not set, 'git log' is used
> -instead.  You can also give command-line options such as `-p` and
> -`--stat`.
> +If none of the environment variables `DISPLAY`, `SESSIONNAME`, `MSYSTEM` and
> +`SECURITYSESSIONID` is set, 'git log' is used instead.  You can also give
> +command-line options such as `-p` and `--stat`.

Good.  Would a casual (read: not working on) Git for Windows user
know if their environment has MSYSTEM variable?  The same question
applies to the other variables with relevant platforms.  I think
folks working in GUI environment of X Window pedigree may be
familiar enough with DISPLAY (but of course I am biased as I have
used such an envionrment in the past) that the original description
is permissible without extra explanation, but among these new ones
some may deserve an additional short description in parentheses,
e.g.

	..., `MSYSTEM` (always set in Git for Windows) and ...

Other than that, this is a very welcome addition.

Thanks.